var Cite = require('citation-js')

var bibtex =
  `@article{10.1126/science.290.5496.1555, 
    year = {2000}, 
    title = {{Powering an Inorganic Nanodevice with a Biomolecular Motor}}, 
    author = {Soong, Ricky K. and Bachand, George D. and Neves, Hercules P. and Olkhovets, Anatoli G. and Craighead, Harold G. and Montemagno, Carlo D.}, 
    journal = {Science}, 
    issn = {0036-8075}, 
    doi = {10.1126/science.290.5496.1555}, 
    pmid = {11090349}, 
    pages = {1555--1558}, 
    number = {5496}, 
    volume = {290}, 
    keywords = {}
    }`
const metaData = new Cite(bibtex);

metaData.format('data', {
  format: 'object',
});
metaData.format('bibliography', {
  format: 'html'
});
Cite.plugins.input.chain(bibtex, {
  target: '@biblatex/entries+list'
});
Cite.plugins.input.chain(bibtex, {
  forceType: '@bibtex/text',
  target: '@bibtex/entries+list'
});